%global libseat_sover   1
%global _hardened_build 1


Summary:        Minimal seat management daemon
Name:           seatd
Version:        0.8.0
Release:        1%{?dist}
License:        MIT
URL:            https://sr.ht/~kennylevinsen/seatd/
Source0:        https://git.sr.ht/~kennylevinsen/seatd/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        seatd.sysusers

BuildRequires:  gcc, meson >= 0.60.0
BuildRequires:  systemd-devel, scdoc, systemd-rpm-macros


%description
A seat management daemon, that does everything it needs to do.
Nothing more, nothing less. Depends only on libc.


%package -n     libseat
Summary:        Universal seat management library

%description -n libseat
A seat management library allowing applications to use whatever seat
management is available.
.
Supports:
 * seatd
 * (e)logind
 * embedded seatd for standalone operation
.
Each backend can be compile-time included and is runtime auto-detected or
manually selected with the LIBSEAT_BACKEND environment variable.
.
Which backend is in use is transparent to the application, providing a
simple common interface.


%package -n     libseat-devel
Summary:        Development files for libseat
Requires:       libseat = %{version}-%{release}

%description -n libseat-devel
The libseat-devel package contains libraries and header files for
developing applications that use libseat.


%prep
%autosetup


%build
%meson \
    -Dlibseat-logind=systemd \
    -Dserver=enabled
%meson_build


%install
%meson_install

install -D -m 0644 -pv contrib/systemd/%{name}.service \
    %{buildroot}%{_unitdir}/%{name}.service
install -D -m 0644 -pv %{SOURCE1} \
    %{buildroot}%{_sysusersdir}/%{name}.conf


%check
%meson_test


%pre
%sysusers_create_compat %{SOURCE1}

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun %{name}.service

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-launch
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-launch.1*
%{_sysusersdir}/%{name}.conf
%{_unitdir}/%{name}.service

%files -n libseat
%license LICENSE
%doc README.md
%{_libdir}/libseat.so.%{libseat_sover}

%files -n libseat-devel
%{_libdir}/libseat.so
%{_libdir}/pkgconfig/libseat.pc
%{_includedir}/libseat.h



%changelog
* Fri Nov 17 2023 Chair <chairou@tencent.com> - 0.8.0-1
- Init
